FAQ Database Discussion Community


Installing nginx as a ruby gem vs using apt-get

ruby,nginx,rubygems,ubuntu-14.04,apt-get
I'm new to running a Linux server and slowly getting up to speed with things. I have already installed nginx via the apt-get function, although I'm following a tutorial which recommends installing it as a ruby gem instead. Is there any difference in the functionality/limitations to installing it as a...

Is there any package management system for MinGW+MSYS?

gcc,mingw,apt-get,package-managers,msys
I am trying to compile some open source libraries in MinGW+MSYS. During the configure phase, I kept seeing some 3rd party libraries are missing. For now, my solution is to download the source of the missing libraries and follow the GNU build process to compile and install them into my...

Installing Ruby in Linux

ruby,linux,apt-get
I want install only Ruby, not RubyOnRails, I check this command: sudo apt-get install ruby-full -g But the terminal report me this error: E:Command line option 'g' [from -g] is not known This command will install the latest stable Ruby version and will make it available globally (through the '-g'...

apt-get dist-upgrade, without overwriting my self compiled vim

linux,ubuntu,apt-get
I'm using Ubuntu-14.04 I compiled vim myself (to add support for YouCompleteMe), and now when I execute apt-get dist-upgrade it overwrites my version of vim (and other dependent packages) and causes vim to stop working. How can I upgrade everything, without ruining what I have compiled myself?...

how to deal with unverified apt install in ansible

ansible,apt-get,apt,ansible-playbook
when installing an apt package from our own repo, I get the the following on the CLI: Install these packages without verification? [y/N] The question is, how does one install these packages successfully using ansible? Even with the force option, ansible fails to install the package. The command I'm using...

How to install a package in user defined directory using apt-get?

linux,ubuntu,packages,apt-get
I'm using ubuntu, whenever I install any package it gets installed in standard directories /usr/lib /usr/local/lib etc. I want to install a package in a non standard directory. Is there any way to do this?...

Install imap extension for php 5.3.3-7+squeeze17

php,debian,imap,php-extension,apt-get
Server has debian wheezy os installed. Php version is php5.3: [email protected]:~# php -v PHP 5.3.3-7+squeeze17 with Suhosin-Patch (cli) (built: Aug 23 2013 15:06:16) I try to install imap extension via apt-get and the result is: [email protected]:~# apt-get install php5-imap=5.3.3-7+squeeze17 Reading package lists... Done Building dependency tree Reading state information... Done...

Ubuntu deb install dependency libsdl1.2debian-purgeaudio

ubuntu,apt-get,deb
Good day every one. I have some custom_program.deb file wich working fine on Ubuntu 10.04. When i try install it on later version (like 12.04 or more) i have dependency error about libsdl1.2debian-purgesound. if i try sudo apt-get install libsdl1.2debian-purgesound it says that package don't available and it's old, and...

how apt-get compares between two different version schemes

linux,versioning,apt-get,apt
how dose apt-get compares between two different version schemes of the same package? for example: 1.3.8 ? 1.09 More detailed example: Lets say i got package_a in my repository with version 1.08 (package-a_1.08.deb). Then i upload a new version of the same package but I've changed then version scheme, and...